Dial x402

eSIM Checkout

**Coming Soon** — Purchase an eSIM data plan for mobile connectivity in 180+ countries. Guest checkout — no account needed. Pay with crypto, receive QR activation code.

Coming Soon — Purchase an eSIM data plan for mobile connectivity in 180+ countries. Guest checkout — no account needed. Pay with crypto, receive QR activation code.

POST
/api/v1/esim/checkout
X-PAYMENT<token>

x402 payment header. When a request is sent without payment, the server returns 402 Payment Required with the price and payTo address. The caller signs an EIP-3009 transferWithAuthorization for USDC on Base and resubmits with the signed payment in this header. See https://docs.x402.org

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://x402.dial.wtf/api/v1/esim/checkout" \  -H "Content-Type: application/json" \  -d '{}'
Empty
{
  "x402Version": 2,
  "accepts": [
    {
      "scheme": "exact",
      "network": "eip155:8453",
      "amount": "100000",
      "payTo": "string"
    }
  ]
}